<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     FASIF: Fix Avatar Size In Forum
 *
 */
 
if (!defined('SMF')) 
	die('Hacking attempt...');

function FASIF_Main()
{
	global $modSettings, $context;
	
	// Load languages
	loadLanguage('FASIF');

	// Change stylings
	if (!empty($modSettings['fasif_enable'])) {
	$context['html_headers'] .= (!empty($modSettings['fasif_height_header']) || !empty($modSettings['fasif_width_header']) || !empty($modSettings['fasif_height_post']) || !empty($modSettings['fasif_width_post']) || !empty($modSettings['fasif_height_pm']) || !empty($modSettings['fasif_width_pm']) || !empty($modSettings['fasif_height_profile']) || !empty($modSettings['fasif_width_profile']))? '
	<style type="text/css">' . ((!empty($modSettings['fasif_height_header']) || !empty($modSettings['fasif_width_header']))? '
		#upper_section p.avatar img.avatar { ' . (!empty($modSettings['fasif_height_header']) ? 'height:' . $modSettings['fasif_height_header'] . '; ': '') . (!empty($modSettings['fasif_width_header']) ? 'width:' . $modSettings['fasif_width_header'] . ';': '') . ' }' : '') . ((!empty($modSettings['fasif_height_post']) || !empty($modSettings['fasif_width_post']))? '
		#forumposts li.avatar img.avatar { ' . (!empty($modSettings['fasif_height_post']) ? 'height:'. $modSettings['fasif_height_post'] . '; ': '') . (!empty($modSettings['fasif_width_post']) ? 'width:' . $modSettings['fasif_width_post'] . ';': '') . ' }' : '') . ((!empty($modSettings['fasif_height_pm']) || !empty($modSettings['fasif_width_pm']))? '
		#personal_messages li.avatar img.avatar { ' . (!empty($modSettings['fasif_height_pm']) ? 'height:'.$modSettings['fasif_height_pm'] . '; ': '') . (!empty($modSettings['fasif_width_pm']) ? 'width:' . $modSettings['fasif_width_pm'] . ';': '') . ' }' : '') . ((!empty($modSettings['fasif_height_profile']) || !empty($modSettings['fasif_width_profile']))? '
		#profileview div.content img.avatar { ' . (!empty($modSettings['fasif_height_profile']) ? 'height:'.$modSettings['fasif_height_profile'] . '; ': '') . (!empty($modSettings['fasif_width_profile']) ? 'width:' . $modSettings['fasif_width_profile'] . ';': '') . ' }' : '') . '
	</style>' : '';
	}
}

function FASIF_Settings(&$config_vars)
{	
	// Load languages
	loadLanguage('FASIF');

	// Add settings
	$fasif = array(
			array('check', 'fasif_enable'),
			array('text', 'fasif_height_header'),
			array('text', 'fasif_width_header'),
			array('text', 'fasif_height_post'),
			array('text', 'fasif_width_post'),
			array('text', 'fasif_height_pm'),
			array('text', 'fasif_width_pm'),
			array('text', 'fasif_height_profile'),
			array('text', 'fasif_width_profile'),
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $fasif);
}
?>